UPGRADE YOUR BROWSER

We have detected your current browser version is not the latest one. Xilinx.com uses the latest web technologies to bring you the best online experience possible. Please upgrade to a Xilinx.com supported browser:Chrome, Firefox, Internet Explorer 11, Safari. Thank you!

cancel
Showing results for 
Search instead for 
Did you mean: 
Visitor brianwtec
Visitor
136 Views
Registered: ‎12-19-2018

petalinux 2018.3 configure error.

I've installed petalinux 2018.3 on my gentoo laptop and it installed fine, except I did get a few messages about bad index or something like that.

I downloaded the ZC702 bsp and created a new project with petalinux.

However, when I run petalinux-configure, I get the following error messages:

~/petalinux_project/test $ petalinux-config
[INFO] generating Kconfig for project
[INFO] menuconfig project
ERROR: Failed to menu config project component
ERROR: Failed to config project.

Unfortunately, the verbose option doesn't produce more information about the failure message. I figure there is a missing dependency, but I checked the list of dependencies and they are all installed in both 64 bit and 32 bit versions.

Hmmm, just had a thought, maybe the 32 bit versions aren't accessible through the LD_LIBRARY_PATH... I'll check that out.

If anyone has any suggestions, I'd really appreciate it.

 

Tags (3)
0 Kudos
1 Reply
Adventurer
Adventurer
126 Views
Registered: ‎04-07-2014

Re: petalinux 2018.3 configure error.

Hi,

please check the installation requirements chapter in ug1144-petalinux-tools-reference-guide.pdf. For example libncurses5-dev will provide the menuconfig.

However Gentoo is not officially supported by petalinux (see the same chapter), so expect further trouble.

I recommend to use one of the officially supported linux distributions (in a virtual machine if necessary).

Hope that helps.

Regards,

Sebastian

0 Kudos